// IESpyView.h : interface of the CIESpyView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_IESPYVIEW_H__0DA730B2_D135_477E_8CDC_E1C2843E1E0A__INCLUDED_)
#define AFX_IESPYVIEW_H__0DA730B2_D135_477E_8CDC_E1C2843E1E0A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CIESpyView : public CListView
{
protected: // create from serialization only
	DECLARE_DYNCREATE(CIESpyView)

protected:
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	void AddItem(HWND hWnd);

// Generated message map functions
protected:
	//{{AFX_MSG(CIESpyView)
	afx_msg void OnSpyBegin();
	afx_msg void OnSpyViewSource();
	afx_msg void OnUpdateSpyViewSource(CCmdUI* pCmdUI);
	afx_msg void OnSpyFind();
	afx_msg void OnUpdateSpyFind(CCmdUI* pCmdUI);
	afx_msg void OnSpyAbout();
	afx_msg void OnUpdateSpyAbout(CCmdUI* pCmdUI);
	afx_msg void OnSpyAddToFavorites();
	afx_msg void OnUpdateSpyAddToFavorites(CCmdUI* pCmdUI);
	afx_msg void OnSpyCopyShortcut();
	afx_msg void OnUpdateSpyCopyShortcut(CCmdUI* pCmdUI);
	afx_msg void OnCmdSaveBackground();
	afx_msg void OnUpdateCmdSaveBackground(CCmdUI* pCmdUI);
	afx_msg void OnSpySetAsWallpaper();
	afx_msg void OnUpdateSpySetAsWallpaper(CCmdUI* pCmdUI);
	afx_msg void OnSpyCopyBackground();
	afx_msg void OnUpdateSpyCopyBackground(CCmdUI* pCmdUI);
	afx_msg void OnSpyCreateShortcut();
	afx_msg void OnUpdateSpyCreateShortcut(CCmdUI* pCmdUI);
	afx_msg void OnSpySetAsDesktopItem();
	afx_msg void OnUpdateSpySetAsDesktopItem(CCmdUI* pCmdUI);
	afx_msg void OnSpyRefresh();
	afx_msg void OnUpdateSpyRefresh(CCmdUI* pCmdUI);
	afx_msg void OnSpyBack();
	afx_msg void OnUpdateSpyBack(CCmdUI* pCmdUI);
	afx_msg void OnSpyForward();
	afx_msg void OnUpdateSpyForward(CCmdUI* pCmdUI);
	afx_msg void OnSpyStop();
	afx_msg void OnUpdateSpyStop(CCmdUI* pCmdUI);
	afx_msg void OnSpyOpen();
	afx_msg void OnUpdateSpyOpen(CCmdUI* pCmdUI);
	afx_msg void OnSpyNew();
	afx_msg void OnUpdateSpyNew(CCmdUI* pCmdUI);
	afx_msg void OnSpySaveas();
	afx_msg void OnUpdateSpySaveas(CCmdUI* pCmdUI);
	afx_msg void OnSpyPrintPreview();
	afx_msg void OnUpdateSpyPrintPreview(CCmdUI* pCmdUI);
	afx_msg void OnSpyPrint();
	afx_msg void OnUpdateSpyPrint(CCmdUI* pCmdUI);
	afx_msg void OnSpyPageSetup();
	afx_msg void OnUpdateSpyPageSetup(CCmdUI* pCmdUI);
	afx_msg void OnSpyProperties();
	afx_msg void OnUpdateSpyProperties(CCmdUI* pCmdUI);
	afx_msg void OnSpySelectAll();
	afx_msg void OnUpdateSpySelectAll(CCmdUI* pCmdUI);
	afx_msg void OnSpyCopy();
	afx_msg void OnUpdateSpyCopy(CCmdUI* pCmdUI);
	afx_msg void OnSpyCut();
	afx_msg void OnUpdateSpyCut(CCmdUI* pCmdUI);
	afx_msg void OnSpyPaste();
	afx_msg void OnUpdateSpyPaste(CCmdUI* pCmdUI);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void CommonUpdateHandler(CCmdUI * pCmdUI);
	void PostMsgHelper(DWORD dw);
	static int CALLBACK CompareFunction(LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IESPYVIEW_H__0DA730B2_D135_477E_8CDC_E1C2843E1E0A__INCLUDED_)
